#pragma once
#include <vector>
using namespace std;

tuple<vector<double>, vector<double>> init_M(size_t N, size_t Nrhs);
void print_matrix(vector<double> &A, size_t M, size_t N);
void benchmark_lapacke(int N, int Nrhs);